package net.codinux.banking.client.fints4k

import net.codinux.banking.client.BankingClientCallback
import net.codinux.banking.client.BankingClientForUserBase
import net.codinux.banking.client.model.AccountCredentials
import net.codinux.banking.fints.config.FinTsClientConfiguration

open class FinTs4kBankingClientForUser(credentials: AccountCredentials, config: FinTsClientConfiguration = FinTsClientConfiguration(), callback: BankingClientCallback)
    : BankingClientForUserBase(credentials, FinTs4kBankingClient(config, callback)) {

    constructor(bankCode: String, loginName: String, password: String, callback: BankingClientCallback)
        : this(bankCode, loginName, password, FinTsClientConfiguration(), callback)

    constructor(bankCode: String, loginName: String, password: String, config: FinTsClientConfiguration = FinTsClientConfiguration(), callback: BankingClientCallback)
            : this(AccountCredentials(bankCode, loginName, password), config, callback)

}